Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.service
Class CardServiceInvalidCredentialException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  opencard.core.OpenCardRuntimeException
                      opencard.core.service.CardServiceRuntimeException
                          opencard.core.service.CardServiceUsageException
                              opencard.core.service.CardServiceInvalidCredentialException

All Implemented Interfaces:
  java.io.Serializable

    public class CardServiceInvalidCredentialException

extends CardServiceUsageException

Exception thrown when a credential that was provided is invalid. An application's credential may be invalid because it is not in a format that can be interpreted by the service, or if it is not accepted by the smartcard. A smartcard's credential is invalid if it does not correspond with a credential provided by the application. This may be detected if the smartcard has to append a cryptographic MAC (message authentication code) to it's response, and the verification of that MAC fails. Of course, this may also happen if the smartcard's response was modified on it's way to the service.

Version:
  $Id: CardServiceInvalidCredentialException.java,v 1.1.1.1 1999/10/05 15:34:31 damke Exp $
Author:
  Thomas Schaeck (schaeck@de.ibm.com), Roland Weber (rolweber@de.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`CardServiceInvalidCredentialException()` Creates a new exception without detail message.
`CardServiceInvalidCredentialException(java.lang.String msg)` Creates a new exception with the given detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardServiceInvalidCredentialException

    public CardServiceInvalidCredentialException()

  Creates a new exception without detail message.

### CardServiceInvalidCredentialException

    public CardServiceInvalidCredentialException(java.lang.String msg)

  Creates a new exception with the given detail message.

  Parameters:
    `msg` - a string indicating why this exception is thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD